--- title: "createMemberServerImageInstance" slug: "compute-vserver-serverimage-creatememberserverimageinstance" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-serverimage-creatememberserverimageinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createMemberServerImageInstance Available in VPC Create a My Server image instance with a server instance (VM) in a stopped or running status. Note KVM-based server images are not supported. In a KVM environment, use [createServerImage](/docs/en/compute-vserver-serverimage-createserverimage). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /createMemberServerImageInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `serverInstanceNo` | String | Required | Source server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). | | `memberServerImageName` | String | Optional | Server image name - Enter 3 to 30 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Auto-generated on no input (default). | | `memberServerImageDescription` | String | Optional | Server image description (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/createMemberServerImageInstance ?regionCode=KR &serverInstanceNo=*****2010 &memberServerImageName=test-*** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createMemberServerImageInstanceResponse` | Object | - | Response result - See [MemberServerImageInstanceList](/docs/en/common-vapidatatype-memberserverimageinstancelist). | | `createMemberServerImageInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `createMemberServerImageInstanceResponse.returnCode` | String | - | Response code | | `createMemberServerImageInstanceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createMemberServerImageInstanceResponse": { "totalRows": 1, "memberServerImageInstanceList": [ { "memberServerImageInstanceNo": "*****2264", "memberServerImageName": "test-***", "originalServerInstanceNo": "*****2010", "originalServerImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR2004.B050", "memberServerImageInstanceStatus": { "code": "INIT", "codeName": "NSI INIT state" }, "memberServerImageInstanceOperation": { "code": "CREAT", "codeName": "NSI CREAT OP" }, "memberServerImageInstanceStatusName": "creating", "createDate": "2025-06-26T11:09:07+0900", "memberServerImageBlockStorageTotalRows": 1, "memberServerImageBlockStorageTotalSize": 53687091200, "shareStatus": { "code": "NULL", "codeName": "NSI Share NULL State" }, "sharedLoginIdList": [] } ], "requestId": "8309c3e1-2f5a-4d9f-a688-d9e01187e496", "returnCode": "0", "returnMessage": "success" } } ```